#! /usr/bin/env bash
# Args: <file> <arch> <builder-args> [<repo>]

if [ -z "VERBOSE" ]; then
    HASH_MODULE_ARGS="-v"
else
    HASH_MODULE_ARGS=""
fi

CONF_PATH="$(dirname "$0")" &&
"$CONF_PATH/../../../tools/hash_modules.py" $HASH_MODULE_ARGS --require-build "$1" "$2" &&
exec "$CONF_PATH/../../../tools/build.sh" "$1" "$2" "$3" "$4"

echo 'No build required.'